diff --git a/src/odbc/unittests/preperror.c b/src/odbc/unittests/preperror.c
index a6b0a71..c759dd3 100644
--- a/src/odbc/unittests/preperror.c
+++ b/src/odbc/unittests/preperror.c
@@ -2,7 +2,7 @@
 
 /* test error on prepared statement, from Nathaniel Talbott test */
 
-static char software_version[] = "$Id: preperror.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: preperror.c,v 1.9 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -12,9 +12,9 @@ main(int argc, char *argv[])
 	char buf[256];
 	unsigned char sqlstate[6];
 
-	Connect();
+	odbc_connect();
 
-	Command("CREATE TABLE #urls ( recdate DATETIME ) ");
+	odbc_command("CREATE TABLE #urls ( recdate DATETIME ) ");
 
 	/* test implicit conversion error */
 	CHKExecDirect((SQLCHAR *) "INSERT INTO #urls ( recdate ) VALUES ( '2003-10-1 10:11:1 0' )", SQL_NTS, "E");
@@ -27,21 +27,21 @@ main(int argc, char *argv[])
 
 	CHKExecute("E");
 
-	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
+	CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
 	printf("err=%s\n", buf);
 
 	/* assure initial state */
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* try to prepare and execute a statement with error (from DBD::ODBC test) */
 	if (CHKPrepare((SQLCHAR *) "SELECT XXNOTCOLUMN FROM sysobjects", SQL_NTS, "SE") == SQL_SUCCESS)
 		CHKExecute("E");
 
-	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
+	CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
 	printf("err=%s\n", buf);
 
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/print.c b/src/odbc/unittests/print.c
index 4702db7..eaa232b 100644
--- a/src/odbc/unittests/print.c
+++ b/src/odbc/unittests/print.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: print.c,v 1.23 2010/03/02 15:07:00 freddy77 Exp $";
+static char software_version[] = "$Id: print.c,v 1.24 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLCHAR output[256];
@@ -17,15 +17,15 @@ test(int odbc3)
 	SQLLEN cnamesize;
 	const char *query;
 
-	use_odbc_version3 = odbc3;
+	odbc_use_version3 = odbc3;
 
-	Connect();
+	odbc_connect();
 
 	/* issue print statement and test message returned */
 	output[0] = 0;
 	query = "print 'START' select count(*) from sysobjects where name='sysobjects' print 'END'";
-	Command2(query, "I");
-	ReadError();
+	odbc_command2(query, "I");
+	odbc_read_error();
 	if (!strstr(odbc_err, "START")) {
 		printf("Message invalid\n");
 		return 1;
@@ -33,22 +33,22 @@ test(int odbc3)
 	odbc_err[0] = 0;
 
 	if (odbc3) {
-		CHECK_COLS(0);
-		CHECK_ROWS(-1);
+		ODBC_CHECK_COLS(0);
+		ODBC_CHECK_ROWS(-1);
 		CHKFetch("E");
 		CHKMoreResults("S");
 	}
     
-	CHECK_COLS(1);
-	CHECK_ROWS(-1);
+	ODBC_CHECK_COLS(1);
+	ODBC_CHECK_ROWS(-1);
 
 	CHKFetch("S");
-	CHECK_COLS(1);
-	CHECK_ROWS(-1);
+	ODBC_CHECK_COLS(1);
+	ODBC_CHECK_ROWS(-1);
 	/* check no data */
 	CHKFetch("No");
-	CHECK_COLS(1);
-	CHECK_ROWS(1);
+	ODBC_CHECK_COLS(1);
+	ODBC_CHECK_ROWS(1);
 
 	/* SQLMoreResults return NO DATA or SUCCESS WITH INFO ... */
 	if (tds_no_dm && !odbc3)
@@ -63,7 +63,7 @@ test(int odbc3)
 	 * (unixODBC till 2.2.11 do not read errors on NO DATA, skip test)
 	 */
 	if (tds_no_dm || odbc3) {
-		ReadError();
+		odbc_read_error();
 		if (!strstr(odbc_err, "END")) {
 			printf("Message invalid\n");
 			return 1;
@@ -74,29 +74,29 @@ test(int odbc3)
 	if (!odbc3) {
 		if (tds_no_dm) {
 #if 0
-			CHECK_COLS(-1);
+			ODBC_CHECK_COLS(-1);
 #endif
-			CHECK_ROWS(-2);
+			ODBC_CHECK_ROWS(-2);
 		}
 	} else {
-		CHECK_COLS(0);
-		CHECK_ROWS(-1);
+		ODBC_CHECK_COLS(0);
+		ODBC_CHECK_ROWS(-1);
 
 		CHKMoreResults("No");
 	}
 
 	/* issue invalid command and test error */
-	Command2("SELECT donotexistsfield FROM donotexiststable", "E");
-	ReadError();
+	odbc_command2("SELECT donotexistsfield FROM donotexiststable", "E");
+	odbc_read_error();
 
 	/* test no data returned */
 	CHKFetch("E");
-	ReadError();
+	odbc_read_error();
 
 	CHKGetData(1, SQL_C_CHAR, output, sizeof(output), &cnamesize, "E");
-	ReadError();
+	odbc_read_error();
 
-	Disconnect();
+	odbc_disconnect();
 
 	return 0;
 }
diff --git a/src/odbc/unittests/putdata.c b/src/odbc/unittests/putdata.c
index c406487..7439a7b 100644
--- a/src/odbc/unittests/putdata.c
+++ b/src/odbc/unittests/putdata.c
@@ -2,7 +2,7 @@
 
 /* Test for SQLPutData */
 
-static char software_version[] = "$Id: putdata.c,v 1.17 2009/03/06 09:14:09 freddy77 Exp $";
+static char software_version[] = "$Id: putdata.c,v 1.18 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char test_text[] =
@@ -25,7 +25,7 @@ CheckNoRow(const char *query)
 		CHKNumResultCols(&cols, "S");
 		if (cols != 0) {
 			fprintf(stderr, "Data not expected here, query:\n\t%s\n", query);
-			Disconnect();
+			odbc_disconnect();
 			exit(1);
 		}
 	} while (CHKMoreResults("SNo") == SQL_SUCCESS);
@@ -54,10 +54,10 @@ main(int argc, char *argv[])
 	SQLRETURN RetCode;
 	int type, lc, sql_type;
 
-	Connect();
+	odbc_connect();
 
 	/* create table to hold data */
-	Command("CREATE TABLE #putdata (c TEXT NULL, b IMAGE NULL)");
+	odbc_command("CREATE TABLE #putdata (c TEXT NULL, b IMAGE NULL)");
 
 	sql_type = SQL_LONGVARCHAR;
 	type = SQL_C_CHAR;
@@ -99,10 +99,10 @@ main(int argc, char *argv[])
 		CHKParamData(&ptr, "E");
 
 		/* check state  and reset some possible buffers */
-		Command("DECLARE @i INT");
+		odbc_command("DECLARE @i INT");
 
 		/* use server ntext if available */
-		if (sql_type == SQL_LONGVARCHAR && db_is_microsoft() && db_version_int() >= 0x08000000u) {
+		if (sql_type == SQL_LONGVARCHAR && odbc_db_is_microsoft() && odbc_db_version_int() >= 0x08000000u) {
 			sql_type = SQL_WLONGVARCHAR;
 			continue;
 		}
@@ -148,7 +148,7 @@ main(int argc, char *argv[])
 	CHKParamData(&ptr, "E");
 
 	/* check state  and reset some possible buffers */
-	Command("DECLARE @i2 INT");
+	odbc_command("DECLARE @i2 INT");
 
 
 	CHKFreeStmt(SQL_RESET_PARAMS, "S");
@@ -170,7 +170,7 @@ main(int argc, char *argv[])
 	strcat(sql, "') SELECT 1");
 	CheckNoRow(sql);
 
-	Command("DELETE FROM #putdata");
+	odbc_command("DELETE FROM #putdata");
 
 	/* test len == 0 case from ML */
 	type = SQL_C_CHAR;
@@ -183,20 +183,20 @@ main(int argc, char *argv[])
 
 		RetCode = CHKExecute("Ne");
 		while (RetCode == SQL_NEED_DATA) {
-			RetCode = SQLParamData(Statement, &ptr);
+			RetCode = SQLParamData(odbc_stmt, &ptr);
 			if (RetCode == SQL_NEED_DATA) {
 				if (type == SQL_C_CHAR) {
-					SQLPutData(Statement, "abc", 3);
+					SQLPutData(odbc_stmt, "abc", 3);
 				} else {
 					SQLWCHAR buf[10];
-					SQLPutData(Statement, buf, to_sqlwchar(buf, "abc", 3));
+					SQLPutData(odbc_stmt, buf, to_sqlwchar(buf, "abc", 3));
 				}
 			}
 		}
 		if (type != SQL_C_CHAR)
 			break;
 		type = SQL_C_WCHAR;
-		ResetStatement();
+		odbc_reset_statement();
 	}
 
 	/* check inserts ... */
@@ -204,7 +204,7 @@ main(int argc, char *argv[])
 
 	/* TODO test cancel inside SQLExecute */
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/raiserror.c b/src/odbc/unittests/raiserror.c
index 684df8c..1c83d4c 100644
--- a/src/odbc/unittests/raiserror.c
+++ b/src/odbc/unittests/raiserror.c
@@ -4,7 +4,7 @@
 
 /* TODO add support for Sybase */
 
-static char software_version[] = "$Id: raiserror.c,v 1.24 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: raiserror.c,v 1.25 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SP_TEXT "{?=call #tmp1(?,?,?)}"
@@ -61,7 +61,7 @@ TestResult(SQLRETURN result0, int level, const char *func)
 	SqlState[0] = 0;
 	MessageText[0] = 0;
 	NativeError = 0;
-	rc = CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, SqlState, &NativeError, (SQLCHAR *) MessageText, sizeof(MessageText), &TextLength, "SI");
+	rc = CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, SqlState, &NativeError, (SQLCHAR *) MessageText, sizeof(MessageText), &TextLength, "SI");
 	printf("Func=%s Result=%d DIAG REC 1: State=%s Error=%d: %s\n", func, (int) rc, SqlState, (int) NativeError, MessageText);
 
 	if (strstr(MessageText, "An error occurred") == NULL) {
@@ -71,7 +71,7 @@ TestResult(SQLRETURN result0, int level, const char *func)
 	}
 }
 
-#define MY_ERROR(msg) ReportError(msg, line, __FILE__)
+#define MY_ERROR(msg) odbc_report_error(msg, line, __FILE__)
 
 static void
 CheckData(const char *s, int line)
@@ -120,7 +120,7 @@ Test(int level)
 
 	char sql[80];
 
-	printf("ODBC %d nocount %s select %s level %d\n", use_odbc_version3 ? 3 : 2,
+	printf("ODBC %d nocount %s select %s level %d\n", odbc_use_version3 ? 3 : 2,
 	       g_nocount ? "yes" : "no", g_second_select ? "yes" : "no", level);
 
 	ReturnCode = INVALID_RETURN;
@@ -128,21 +128,21 @@ Test(int level)
 
 	/* test with SQLExecDirect */
 	sprintf(sql, "RAISERROR('An error occurred.', %d, 1)", level);
-	result = CommandWithResult(Statement, sql);
+	result = odbc_command_with_result(odbc_stmt, sql);
 
 	TestResult(result, level, "SQLExecDirect");
 
 	/* test with SQLPrepare/SQLExecute */
-	if (!SQL_SUCCEEDED(SQLPrepare(Statement, (SQLCHAR *) SP_TEXT, strlen(SP_TEXT)))) {
+	if (!SQL_SUCCEEDED(SQLPrepare(odbc_stmt, (SQLCHAR *) SP_TEXT, strlen(SP_TEXT)))) {
 		fprintf(stderr, "SQLPrepare failure!\n");
 		exit(1);
 	}
 
-	SQLBindParameter(Statement, 1, SQL_PARAM_OUTPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &ReturnCode, 0, &cbReturnCode);
-	SQLBindParameter(Statement, 2, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &InParam, 0, &cbInParam);
-	SQLBindParameter(Statement, 3, SQL_PARAM_OUTPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &OutParam, 0, &cbOutParam);
+	SQLBindParameter(odbc_stmt, 1, SQL_PARAM_OUTPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &ReturnCode, 0, &cbReturnCode);
+	SQLBindParameter(odbc_stmt, 2, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &InParam, 0, &cbInParam);
+	SQLBindParameter(odbc_stmt, 3, SQL_PARAM_OUTPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &OutParam, 0, &cbOutParam);
 	strcpy(OutString, "Test");
-	SQLBindParameter(Statement, 4, SQL_PARAM_OUTPUT, SQL_C_CHAR, SQL_VARCHAR, OUTSTRING_LEN, 0, OutString, OUTSTRING_LEN,
+	SQLBindParameter(odbc_stmt, 4, SQL_PARAM_OUTPUT, SQL_C_CHAR, SQL_VARCHAR, OUTSTRING_LEN, 0, OutString, OUTSTRING_LEN,
 			 &cbOutString);
 
 	CHKExecute("S");
@@ -151,8 +151,8 @@ Test(int level)
 	CHKFetch("S");
 	CheckData("Here is the first row");
 
-	result = SQLFetch(Statement);
-	if (use_odbc_version3) {
+	result = SQLFetch(odbc_stmt);
+	if (odbc_use_version3) {
 		SQLCHAR SqlState[6];
 		SQLINTEGER NativeError;
 		char MessageText[1000];
@@ -161,13 +161,13 @@ Test(int level)
 
 		if (result != SQL_NO_DATA)
 			ODBC_REPORT_ERROR("SQLFetch should return NO DATA");
-		CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, SqlState, &NativeError, (SQLCHAR *) MessageText,
+		CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, SqlState, &NativeError, (SQLCHAR *) MessageText,
 				       sizeof(MessageText), &TextLength, "No");
-		result = SQLMoreResults(Statement);
+		result = SQLMoreResults(odbc_stmt);
 		expected = level > 10 ? SQL_ERROR : SQL_SUCCESS_WITH_INFO;
 		if (result != expected)
 			ODBC_REPORT_ERROR("SQLMoreResults returned unexpected result");
-		if (use_odbc_version3 && !g_second_select && g_nocount) {
+		if (odbc_use_version3 && !g_second_select && g_nocount) {
 			CheckReturnCode(result, 0);
 			ReturnCode = INVALID_RETURN;
 			TestResult(result, level, "SQLMoreResults");
@@ -175,30 +175,30 @@ Test(int level)
 		} else {
 			TestResult(result, level, "SQLMoreResults");
 		}
-		CHECK_ROWS(-1);
+		ODBC_CHECK_ROWS(-1);
 	} else {
 		TestResult(result, level, "SQLFetch");
 	}
 
-	if (driver_is_freetds())
+	if (odbc_driver_is_freetds())
 		CheckData("");
 
 	if (!g_second_select) {
-		CHECK_ROWS(-1);
+		ODBC_CHECK_ROWS(-1);
 		CheckReturnCode(result, g_nocount ? 0 : INVALID_RETURN);
 
-		result = SQLMoreResults(Statement);
+		result = SQLMoreResults(odbc_stmt);
 #ifdef ENABLE_DEVELOPING
 		if (result != SQL_NO_DATA)
 			ODBC_REPORT_ERROR("SQLMoreResults should return NO DATA");
 
-		CHECK_ROWS(-2);
+		ODBC_CHECK_ROWS(-2);
 #endif
 		CheckReturnCode(result, 0);
 		return;
 	}
 
-	if (!use_odbc_version3 || !g_nocount) {
+	if (!odbc_use_version3 || !g_nocount) {
 		CHKMoreResults("S");
 		result = SQL_SUCCESS;
 	}
@@ -212,7 +212,7 @@ Test(int level)
 	CHKFetch("No");
 	CheckData("");
 
-	if (!use_odbc_version3 || g_nocount)
+	if (!odbc_use_version3 || g_nocount)
 		CheckReturnCode(result, 0);
 #ifdef ENABLE_DEVELOPING
 	else
@@ -220,7 +220,7 @@ Test(int level)
 #endif
 
 	/* FIXME how to handle return in store procedure ??  */
-	result = SQLMoreResults(Statement);
+	result = SQLMoreResults(odbc_stmt);
 #ifdef ENABLE_DEVELOPING
 	if (result != SQL_NO_DATA)
 		ODBC_REPORT_ERROR("SQLMoreResults return other data");
@@ -240,34 +240,34 @@ Test2(int nocount, int second_select)
 	g_second_select = second_select;
 
 	/* this test do not work with Sybase */
-	if (!db_is_microsoft())
+	if (!odbc_db_is_microsoft())
 		return;
 
 	sprintf(sql, create_proc, nocount ? "     SET NOCOUNT ON\n" : "",
 		second_select ? "     SELECT 'Here is the last row' AS LastResult\n" : "");
-	Command(sql);
+	odbc_command(sql);
 
 	Test(5);
 
 	Test(11);
 
-	Command("DROP PROC #tmp1");
+	odbc_command("DROP PROC #tmp1");
 }
 
 int
 main(int argc, char *argv[])
 {
-	Connect();
+	odbc_connect();
 
 	Test2(0, 1);
 
 	Test2(1, 1);
 
-	Disconnect();
+	odbc_disconnect();
 
-	use_odbc_version3 = 1;
+	odbc_use_version3 = 1;
 
-	Connect();
+	odbc_connect();
 
 	Test2(0, 1);
 	Test2(1, 1);
@@ -275,7 +275,7 @@ main(int argc, char *argv[])
 	Test2(0, 0);
 	Test2(1, 0);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/rebindpar.c b/src/odbc/unittests/rebindpar.c
index bb184a7..ab31b3b 100644
--- a/src/odbc/unittests/rebindpar.c
+++ b/src/odbc/unittests/rebindpar.c
@@ -2,10 +2,10 @@
 
 /* Test for executing SQLExecute and rebinding parameters */
 
-static char software_version[] = "$Id: rebindpar.c,v 1.9 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: rebindpar.c,v 1.10 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#define SWAP_STMT(b) do { SQLHSTMT xyz = Statement; Statement = b; b = xyz; } while(0)
+#define SWAP_STMT(b) do { SQLHSTMT xyz = odbc_stmt; odbc_stmt = b; b = xyz; } while(0)
 
 static HSTMT stmt;
 
@@ -24,7 +24,7 @@ TestInsert(char *buf)
 
 	SWAP_STMT(stmt);
 	sprintf(sql, "SELECT 1 FROM #tmp1 WHERE c = '%s'", buf);
-	Command(sql);
+	odbc_command(sql);
 	CHKFetch("S");
 	CHKFetch("No");
 	CHKMoreResults("No");
@@ -43,7 +43,7 @@ Test(int prebind)
 	for (i = 0; i < 21; ++i)
 		strcat(buf, "miao");
 
-	Command("DELETE FROM #tmp1");
+	odbc_command("DELETE FROM #tmp1");
 
 	CHKAllocStmt(&stmt, "S");
 
@@ -55,28 +55,28 @@ Test(int prebind)
 
 	/* try to insert an empty string, should not fail */
 	/* NOTE this is currently the only test for insert a empty string using rpc */
-	if (db_is_microsoft())
+	if (odbc_db_is_microsoft())
 		TestInsert("");
 	TestInsert("a");
 	TestInsert("bb");
 	TestInsert(buf);
 
 	CHKFreeStmt(SQL_DROP, "S");
-	Statement = SQL_NULL_HSTMT;
+	odbc_stmt = SQL_NULL_HSTMT;
 	SWAP_STMT(stmt);
 }
 
 int
 main(int argc, char *argv[])
 {
-	Connect();
+	odbc_connect();
 
-	Command("CREATE TABLE #tmp1 (c VARCHAR(200))");
+	odbc_command("CREATE TABLE #tmp1 (c VARCHAR(200))");
 
 	Test(1);
 	Test(0);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/rownumber.c b/src/odbc/unittests/rownumber.c
index 0ccae96..72d61ed 100644
--- a/src/odbc/unittests/rownumber.c
+++ b/src/odbc/unittests/rownumber.c
@@ -7,7 +7,7 @@
  * TODO make it work and add to Makefile.am
  */
 
-static char software_version[] = "$Id: rownumber.c,v 1.5 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: rownumber.c,v 1.6 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -27,8 +27,8 @@ CheckRowNum(int n, int line)
 	}
 }
 
-#undef CHECK_ROWS
-#define CHECK_ROWS(n) CheckRowNum(n,__LINE__)
+#undef ODBC_CHECK_ROWS
+#define ODBC_CHECK_ROWS(n) CheckRowNum(n,__LINE__)
 
 static void
 DoTest()
@@ -39,46 +39,46 @@ DoTest()
 	/* execute a batch command and check row number */
 	CHKExecDirect((SQLCHAR *) query, SQL_NTS, "S");
 
-	CHECK_ROWS(-1);
+	ODBC_CHECK_ROWS(-1);
 	printf("Result %d\n", ++n);
 	CHKFetch("S");
-	CHECK_ROWS(0);
+	ODBC_CHECK_ROWS(0);
 	CHKFetch("S");
-	CHECK_ROWS(0);
+	ODBC_CHECK_ROWS(0);
 	CHKFetch("S");
-	CHECK_ROWS(0);
+	ODBC_CHECK_ROWS(0);
 	CHKFetch("No");
-	CHECK_ROWS(-1);
+	ODBC_CHECK_ROWS(-1);
 	CHKMoreResults("S");
-	CHECK_ROWS(-1);
+	ODBC_CHECK_ROWS(-1);
 
 	printf("Result %d\n", ++n);
 	CHKFetch("S");
-	CHECK_ROWS(0);
+	ODBC_CHECK_ROWS(0);
 	CHKFetch("S");
-	CHECK_ROWS(0);
+	ODBC_CHECK_ROWS(0);
 	CHKFetch("No");
-	CHECK_ROWS(-1);
+	ODBC_CHECK_ROWS(-1);
 	CHKMoreResults("No");
-	CHECK_ROWS(-1);
+	ODBC_CHECK_ROWS(-1);
 }
 
 int
 main(int argc, char *argv[])
 {
-	use_odbc_version3 = 1;
+	odbc_use_version3 = 1;
 
-	Connect();
+	odbc_connect();
 
-	Command("create table #tmp1 (i int)");
-	Command("create table #tmp2 (i int)");
-	Command("insert into #tmp1 values(1)");
-	Command("insert into #tmp1 values(2)");
-	Command("insert into #tmp1 values(5)");
+	odbc_command("create table #tmp1 (i int)");
+	odbc_command("create table #tmp2 (i int)");
+	odbc_command("insert into #tmp1 values(1)");
+	odbc_command("insert into #tmp1 values(2)");
+	odbc_command("insert into #tmp1 values(5)");
 
 	DoTest();
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/rowset.c b/src/odbc/unittests/rowset.c
index aec052e..454e353 100644
--- a/src/odbc/unittests/rowset.c
+++ b/src/odbc/unittests/rowset.c
@@ -1,16 +1,16 @@
 #include "common.h"
 
-static char software_version[] = "$Id: rowset.c,v 1.6 2010/03/02 15:07:00 freddy77 Exp $";
+static char software_version[] = "$Id: rowset.c,v 1.7 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
 test_err(int n)
 {
 	CHKSetStmtAttr(SQL_ROWSET_SIZE, (SQLPOINTER) int2ptr(n), 0, "E");
-	ReadError();
+	odbc_read_error();
 	if (strcmp(odbc_sqlstate, "HY024") != 0) {
 		fprintf(stderr, "Unexpected sql state returned\n");
-		Disconnect();
+		odbc_disconnect();
 		exit(1);
 	}
 }
@@ -28,14 +28,14 @@ main(int argc, char *argv[])
 	SQLUSMALLINT statuses[10];
 	char buf[32];
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	/* initial value should be 1 */
 	CHKGetStmtAttr(SQL_ROWSET_SIZE, &len, sizeof(len), NULL, "S");
 	if (len != 1) {
 		fprintf(stderr, "len should be 1\n");
-		Disconnect();
+		odbc_disconnect();
 		return 1;
 	}
 
@@ -44,14 +44,14 @@ main(int argc, char *argv[])
 	test_err(-1);
 	test_err(0);
 
-	CheckCursor();
+	odbc_check_cursor();
 
 	/* set some correct values */
 	CHKSetStmtAttr(SQL_ROWSET_SIZE, (SQLPOINTER) int2ptr(2), 0, "S");
 	CHKSetStmtAttr(SQL_ROWSET_SIZE, (SQLPOINTER) int2ptr(1), 0, "S");
 
 	/* now check that SQLExtendedFetch works as expected */
-	Command("CREATE TABLE #rowset(n INTEGER, c VARCHAR(20))");
+	odbc_command("CREATE TABLE #rowset(n INTEGER, c VARCHAR(20))");
 	for (i = 0; i < 10; ++i) {
 		char s[10];
 		char sql[128];
@@ -59,10 +59,10 @@ main(int argc, char *argv[])
 		memset(s, 'a' + i, 9);
 		s[9] = 0;
 		sprintf(sql, "INSERT INTO #rowset(n,c) VALUES(%d,'%s')", i+1, s);
-		Command(sql);
+		odbc_command(sql);
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 	CHKSetStmtOption(SQL_ATTR_CURSOR_TYPE, SQL_CURSOR_DYNAMIC, "S");
 	CHKExecDirect((SQLCHAR *) "SELECT * FROM #rowset ORDER BY n", SQL_NTS, "SI");
 
@@ -74,11 +74,11 @@ main(int argc, char *argv[])
 
 	if (row_count != 1 || statuses[0] != SQL_ROW_SUCCESS || strcmp(buf, "aaaaaaaaa") != 0) {
 		fprintf(stderr, "Invalid result\n");
-		Disconnect();
+		odbc_disconnect();
 		return 1;
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/rpc.c b/src/odbc/unittests/rpc.c
index 405a0ca..78350ca 100644
--- a/src/odbc/unittests/rpc.c
+++ b/src/odbc/unittests/rpc.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: rpc.c,v 1.12 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: rpc.c,v 1.13 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char procedure_sql[] = 
@@ -56,7 +56,7 @@ Test(const char *name)
 {
 	int iresults=0, data_errors=0;
 	int ipar=0;
-	HSTMT Statement = SQL_NULL_HSTMT;
+	HSTMT odbc_stmt = SQL_NULL_HSTMT;
 	char call_cmd[128];
 	struct Argument { 
                 SQLSMALLINT       InputOutputType;  /* fParamType */
@@ -85,7 +85,7 @@ Test(const char *name)
 
 
 	printf("executing SQLAllocStmt\n");
-	CHKAllocStmt(&Statement, "S");
+	CHKAllocStmt(&odbc_stmt, "S");
 
 	for( ipar=0; ipar < sizeof(args)/sizeof(args[0]); ipar++ ) {
 		printf("executing SQLBindParameter for parameter %d\n", 1+ipar);
@@ -195,7 +195,7 @@ Test(const char *name)
 
 	printf("executing SQLFreeStmt\n");
 	CHKFreeStmt(SQL_DROP, "S");
-	Statement = SQL_NULL_HSTMT;
+	odbc_stmt = SQL_NULL_HSTMT;
 
 	for (ipar = 0; ipar < sizeof(args)/sizeof(args[0]); ++ipar)
 		if (args[ipar].BufferLength > 0)
@@ -216,7 +216,7 @@ main(int argc, char *argv[])
 	strcat(drop_proc, proc_name);
 	
 	printf("connecting\n");
-	Connect();
+	odbc_connect();
 	
 	init_proc(proc_name);
 
@@ -224,9 +224,9 @@ main(int argc, char *argv[])
 	Test(proc_name);
 	
 	printf("dropping procedure\n");
-	Command(drop_proc);
+	odbc_command(drop_proc);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/scroll.c b/src/odbc/unittests/scroll.c
index d87e29d..253dcce 100644
--- a/src/odbc/unittests/scroll.c
+++ b/src/odbc/unittests/scroll.c
@@ -2,7 +2,7 @@
 
 /* Test cursors */
 
-static char software_version[] = "$Id: scroll.c,v 1.9 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: scroll.c,v 1.10 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -41,22 +41,22 @@ main(int argc, char *argv[])
 	};
 	const int num_tests = sizeof(tests) / sizeof(TEST);
 
-	use_odbc_version3 = 1;
+	odbc_use_version3 = 1;
 
-	Connect();
-	CheckCursor();
+	odbc_connect();
+	odbc_check_cursor();
 
 	/* create test table */
-	Command("IF OBJECT_ID('tempdb..#test') IS NOT NULL DROP TABLE #test");
-	Command("CREATE TABLE #test(i int, c varchar(6))");
-	Command("INSERT INTO #test(i, c) VALUES(1, 'a')");
-	Command("INSERT INTO #test(i, c) VALUES(2, 'bb')");
-	Command("INSERT INTO #test(i, c) VALUES(3, 'ccc')");
-	Command("INSERT INTO #test(i, c) VALUES(4, 'dddd')");
-	Command("INSERT INTO #test(i, c) VALUES(5, 'eeeee')");
+	odbc_command("IF OBJECT_ID('tempdb..#test') IS NOT NULL DROP TABLE #test");
+	odbc_command("CREATE TABLE #test(i int, c varchar(6))");
+	odbc_command("INSERT INTO #test(i, c) VALUES(1, 'a')");
+	odbc_command("INSERT INTO #test(i, c) VALUES(2, 'bb')");
+	odbc_command("INSERT INTO #test(i, c) VALUES(3, 'ccc')");
+	odbc_command("INSERT INTO #test(i, c) VALUES(4, 'dddd')");
+	odbc_command("INSERT INTO #test(i, c) VALUES(5, 'eeeee')");
 
 	/* set cursor options */
-	ResetStatement();
+	odbc_reset_statement();
 	CHKSetStmtAttr(SQL_ATTR_CONCURRENCY, (SQLPOINTER) SQL_CONCUR_ROWVER, 0, "S");
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, 0, "S");
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, 0, "S");
@@ -112,8 +112,8 @@ main(int argc, char *argv[])
 		}
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
diff --git a/src/odbc/unittests/stats.c b/src/odbc/unittests/stats.c
index 34ac2e8..f0feff8 100644
--- a/src/odbc/unittests/stats.c
+++ b/src/odbc/unittests/stats.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: stats.c,v 1.2 2010/07/02 09:01:22 freddy77 Exp $";
+static char software_version[] = "$Id: stats.c,v 1.3 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLLEN cnamesize;
@@ -27,10 +27,10 @@ TestProc(const char *type, const char *expected)
 {
 	char sql[256];
 
-	Command("IF OBJECT_ID('stat_proc') IS NOT NULL DROP PROC stat_proc");
+	odbc_command("IF OBJECT_ID('stat_proc') IS NOT NULL DROP PROC stat_proc");
 
 	sprintf(sql, "CREATE PROC stat_proc(@t %s) AS RETURN 0", type);
-	Command(sql);
+	odbc_command(sql);
 
 	column = "@t";
 	CHKProcedureColumns((SQLCHAR *) catalog, LEN(catalog), (SQLCHAR *) schema, LEN(schema), (SQLCHAR *) proc, LEN(proc), (SQLCHAR *) column, LEN(column), "SI");
@@ -40,7 +40,7 @@ TestProc(const char *type, const char *expected)
 	ReadCol(6);
 	if (strcmp(output, expected) != 0) {
 		fprintf(stderr, "Got \"%s\" expected \"%s\"\n", output, expected);
-		Disconnect();
+		odbc_disconnect();
 		exit(1);
 	}
 
@@ -52,10 +52,10 @@ TestTable(const char *type, const char *expected)
 {
 	char sql[256];
 
-	Command("IF OBJECT_ID('stat_t') IS NOT NULL DROP TABLE stat_t");
+	odbc_command("IF OBJECT_ID('stat_t') IS NOT NULL DROP TABLE stat_t");
 
 	sprintf(sql, "CREATE TABLE stat_t(t %s)", type);
-	Command(sql);
+	odbc_command(sql);
 
 	column = "t";
 	table = "stat_t";
@@ -66,7 +66,7 @@ TestTable(const char *type, const char *expected)
 	ReadCol(5);
 	if (strcmp(output, expected) != 0) {
 		fprintf(stderr, "Got \"%s\" expected \"%s\"\n", output, expected);
-		Disconnect();
+		odbc_disconnect();
 		exit(1);
 	}
 
@@ -88,22 +88,22 @@ main(int argc, char *argv[])
 {
 	char int_buf[32];
 
-	use_odbc_version3 = 0;
-	Connect();
+	odbc_use_version3 = 0;
+	odbc_connect();
 
 	TestProc("DATETIME", STR(SQL_TIMESTAMP));
 	TestTable("DATETIME", STR(SQL_TIMESTAMP));
 
-	Disconnect();
+	odbc_disconnect();
 
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	TestProc("DATETIME", STR(SQL_TYPE_TIMESTAMP));
 	TestTable("DATETIME", STR(SQL_TYPE_TIMESTAMP));
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/t0001.c b/src/odbc/unittests/t0001.c
index 4872809..d94880c 100644
--- a/src/odbc/unittests/t0001.c
+++ b/src/odbc/unittests/t0001.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: t0001.c,v 1.18 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: t0001.c,v 1.19 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -14,22 +14,22 @@ main(int argc, char *argv[])
 	const char *command;
 	SQLCHAR output[256];
 
-	Connect();
+	odbc_connect();
 
-	Command("if object_id('tempdb..#odbctestdata') is not null drop table #odbctestdata");
+	odbc_command("if object_id('tempdb..#odbctestdata') is not null drop table #odbctestdata");
 
 	command = "create table #odbctestdata ("
 		"col1 varchar(30) not null,"
 		"col2 int not null,"
 		"col3 float not null," "col4 numeric(18,6) not null," "col5 datetime not null," "col6 text not null)";
-	Command(command);
+	odbc_command(command);
 
 	command = "insert #odbctestdata values ("
 		"'ABCDEFGHIJKLMNOP',"
 		"123456," "1234.56," "123456.78," "'Sep 11 2001 10:00AM'," "'just to check returned length...')";
-	Command(command);
+	odbc_command(command);
 
-	Command("select * from #odbctestdata");
+	odbc_command("select * from #odbctestdata");
 
 	CHKFetch("SI");
 
@@ -45,9 +45,9 @@ main(int argc, char *argv[])
 
 	CHKCloseCursor("SI");
 
-	Command("drop table #odbctestdata");
+	odbc_command("drop table #odbctestdata");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/t0002.c b/src/odbc/unittests/t0002.c
index c89628c..1b6cfd2 100644
--- a/src/odbc/unittests/t0002.c
+++ b/src/odbc/unittests/t0002.c
@@ -1,44 +1,44 @@
 #include "common.h"
 
-static char software_version[] = "$Id: t0002.c,v 1.16 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: t0002.c,v 1.17 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#define SWAP_STMT(b) do { SQLHSTMT xyz = Statement; Statement = b; b = xyz; } while(0)
+#define SWAP_STMT(b) do { SQLHSTMT xyz = odbc_stmt; odbc_stmt = b; b = xyz; } while(0)
 
 int
 main(int argc, char *argv[])
 {
-	HSTMT old_Statement;
+	HSTMT old_odbc_stmt;
 
-	Connect();
+	odbc_connect();
 
-	Command("if object_id('tempdb..#odbctestdata') is not null drop table #odbctestdata");
+	odbc_command("if object_id('tempdb..#odbctestdata') is not null drop table #odbctestdata");
 
-	Command("create table #odbctestdata (i int)");
-	Command("insert #odbctestdata values (123)");
+	odbc_command("create table #odbctestdata (i int)");
+	odbc_command("insert #odbctestdata values (123)");
 
 	/*
 	 * now we allocate another statement, select, get all results
 	 * then make another query with first select and drop this statement
 	 * result should not disappear (required for DBD::ODBC)
 	 */
-	old_Statement = Statement;
-	Statement = SQL_NULL_HSTMT;
-	CHKAllocStmt(&Statement, "S");
+	old_odbc_stmt = odbc_stmt;
+	odbc_stmt = SQL_NULL_HSTMT;
+	CHKAllocStmt(&odbc_stmt, "S");
 
-	Command("select * from #odbctestdata where 0=1");
+	odbc_command("select * from #odbctestdata where 0=1");
 
 	CHKFetch("No");
 
 	CHKCloseCursor("SI");
 
-	SWAP_STMT(old_Statement);
-	Command("select * from #odbctestdata");
-	SWAP_STMT(old_Statement);
+	SWAP_STMT(old_odbc_stmt);
+	odbc_command("select * from #odbctestdata");
+	SWAP_STMT(old_odbc_stmt);
 
 	/* drop first statement .. data should not disappear */
 	CHKFreeStmt(SQL_DROP, "S");
-	Statement = old_Statement;
+	odbc_stmt = old_odbc_stmt;
 
 	CHKFetch("SI");
 
@@ -46,9 +46,9 @@ main(int argc, char *argv[])
 
 	CHKCloseCursor("SI");
 
-	Command("drop table #odbctestdata");
+	odbc_command("drop table #odbctestdata");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
